
/*
 * Layout
 */

h1 {
	background-color: #E0E0FF ;
	font-size: large;
	padding-left: 7pt;
	padding-top: 3pt;
	padding-bottom: 3pt;
	padding-right: 40pt;
}

h1 a {
	text-decoration: none;
	color: #44D;
}

body {
	font-family: sans-serif;
	color: #000000;
	background-color: #E9E9F8;
}

div.usermenu {
	float: right;
	background-color: #ECF8FF;
	padding: 5pt;
	border: 1px solid #99CC99;
	font-size: x-small;
	text-align: center;
	margin-right: 2em;
}

div.loading {
	position: fixed;
	left: auto;
	right: 20pt;
	top: 20pt;
	padding: 3pt;
	border: 1px solid red;
	background: #FDD;
	color: red;
}

a {
	text-decoration: none;
}

a:hover {
	color: #D33;
}

button {
	background-color: #ECF8FF;
	border: 1px solid #336699;
	vertical-align:	bottom;
}


/* Admin page */

table.form {
	padding: 2pt;
}

table.form th {
	border-bottom: 1px solid #336699;
}


/* Album page */

div.albumnav {
	clear: both;
	text-align: center;
	font-size: medium;
}

a.viewall {
	font-size: x-small;
}

a.pnumber {
	font-size: x-small;
}

a.btt {
	float: right;
	padding-right: 1em;
	padding-bottom: 1em;
	font-size: small;
}


/* Login */

#cover {
	position: absolute;
	top: 0px;
	left: 0px;
	height: 100%;
	width: 100%;
	background-color: gray;
	z-index: 5;
	/* These are not standard */
	opacity: 0.7;
	filter: alpha(opacity=70);
}

#loginpopup {
	text-align: center;
	position: absolute;
	background-color: white;
	top: 100px;
	width: auto;
	margin-left: 40%;
	margin-right: 60%;
	z-index: 10;
	padding: 10px;
	border: 2px solid #336699;
}


/* Thumbnail boxes */

a.edit {
	font-size: x-small;
}

a.imglink img {
	border: none;
}

img.thumb {
	margin-top: 10pt;
}

div.stripcontainer {
	float: left;
	width: 98%;
	text-align: center;
}

div.thumbframe {
	float: left;
	width: 31%;
	margin-right: 10pt;
	margin-bottom: 2em;
	padding-bottom: 3pt;
	background: #D9D9FF;
	border: 1px solid #9999CC;
}

div.thumbframe_feat {
	/* for featured images, copy thumbframe and change the background */
	float: left;
	width: 31%;
	margin-right: 10pt;
	margin-bottom: 2em;
	padding-bottom: 3pt;
	background: #D9FFFF;
	border: 1px solid #99CCCC;
}

div.thumbcontainer {
}

div.thumbinfo {
	clear: both;
}

span.caption {
}

span.desc {
	font-size: x-small;
}


/* Detail page */

span.imginfo {
	font-size: x-small;
	color: #555;
}

span.imgexif {
	font-size: xx-small;
	color: #555;
}

div.comments {
	width: 90%;
}

div.comment {
	text-align: left;
	border-top: 1px solid #336699;
	font-size: small;
	margin-top: 1em;
}

div.add_comment {
	font-size: small;
}

/* For details page we need to adjust the widths by hand, according to the
 * configuration */

div.detailsleft {
	width: 21%;
	float: left;
	text-align: left;
	margin-right: 2em;
	padding-bottom: 3pt;
}

div.details {
	width: 50%;
	float: left;
	text-align: center;
	padding-left: 1pt;
	padding-right: 1pt;
}

div.detailsright {
	width: 21%;
	float: left;
	text-align: right;
	margin-left: 2em;
	padding-bottom: 3pt;
}

/* Login page */
p.msg_err {
	background: #fff6bf url(images/exclamation.png) center no-repeat;
	background-position: 15px 50%; /* x-pos y-pos */
	text-align: left;
	padding: 5px 20px 5px 45px;
	border-top: 2px solid #ffd324;
	border-bottom: 2px solid #ffd324;
	color: red;
}

